#################################################
#
#  (C) 2010 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

# check for hal
pkg_search_module( HAL hal )
if( HAL_FOUND )
  if( ${HAL_VERSION} VERSION_LESS "0.5.10" )
    tde_message_fatal( "your hal version is too old; at least 0.5.10 is required" )
  else( )
    set( HAVE_HAL_0_5_10 1 )
  endif( )
else( )
  tde_message_fatal( "hal are requested, but not found on your system" )
endif( )


# check for Xext
pkg_search_module( XEXT xext )
if( NOT XEXT_FOUND )
  tde_message_fatal( "Xext are required, but not found on your system" )
endif()


# check for Xtst
pkg_search_module( XTST xtst )
if( NOT XTST_FOUND )
  tde_message_fatal( "Xtst are required, but not found on your system" )
endif()


# check for xscrnsaver
pkg_search_module( XSCRNSAVER xscrnsaver )
if( NOT XSCRNSAVER_FOUND )
  tde_message_fatal( "xscrnsaver are required, but not found on your system" )
endif()


# required stuff
find_package( Qt )
find_package( TQt )
find_package( TDE )


# check for dbus-1
pkg_search_module( DBUS dbus-1 )
if( NOT DBUS_FOUND )
  tde_message_fatal( "dbus-1 are required, but not found on your system" )
endif( )


# check for dbus-qt3 (version 0.7)
tde_save( CMAKE_REQUIRED_INCLUDES CMAKE_REQUIRED_LIBRARIES )
set( CMAKE_REQUIRED_INCLUDES ${QT_INCLUDE_DIRS} ${DBUS_INCLUDE_DIRS} )
set( CMAKE_REQUIRED_LIBRARIES ${TQT_LDFLAGS} )
check_cxx_source_compiles("
  #include <dbus/connection.h>
  int main(int, char**) { return 0; } "
  HAVE_DBUS_QT3_07 )
tde_restore( CMAKE_REQUIRED_INCLUDES CMAKE_REQUIRED_LIBRARIES )
if( NOT HAVE_DBUS_QT3_07 )
  tde_message_fatal( "dbus-qt3 (version 0.7) are required, but not found on your system" )
endif( )
